[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

devel/common Makefile.common,1.23,1.24 cvs-import.sh,1.8,1.9



Author: katzj

Update of /cvs/extras/devel/common
In directory cvs-int.fedora.redhat.com:/tmp/cvs-serv14173

Modified Files:
	Makefile.common cvs-import.sh 
Log Message:
error out if the client-side cert isn't present (#160852)



Index: Makefile.common
===================================================================
RCS file: /cvs/extras/devel/common/Makefile.common,v
retrieving revision 1.23
retrieving revision 1.24
diff -u -r1.23 -r1.24
--- Makefile.common	12 Jun 2005 23:39:16 -0000	1.23
+++ Makefile.common	17 Jun 2005 22:03:08 -0000	1.24
@@ -176,6 +176,7 @@
 
 # Upload the FILES, adding to the ./sources manifest
 upload: $(FILES)
+	@if ! test -f $(HOME)/.fedora.cert ; then echo "ERROR: You need to download your Fedora client certificate" >&2 ; echo "       from https://admin.fedora.redhat.com/accounts/"; >&2; exit 1 ; fi
 	@if ! test -f ./sources ; then touch ./sources ; fi
 	@if ! test -f ./.cvsignore ; then touch ./.cvsignore ; fi
 	@for f in $(FILES); do \
@@ -205,6 +206,7 @@
 
 # Upload FILES and recreate the ./sources file to include only these FILES
 new-source new-sources: $(FILES)
+	@if ! test -f $(HOME)/.fedora.cert ; then echo "ERROR: You need to download your Fedora client certificate" >&2 ; echo "       from https://admin.fedora.redhat.com/accounts/"; >&2; exit 1 ; fi
 	@rm -f sources && touch sources
 	@rm -f .cvsignore && touch .cvsignore
 	@for f in $(FILES); do \




[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]